## lightdm 1.18.1-0ubuntu1

=== debian/changelog ===
lightdm (1.18.1-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Use /dev/tty0 instead of /dev/console for VT operations (LP: #1566073)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2016 12:06:39 +1200

lightdm (1.18.0-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - Set libaudit and plymouth dependencies to linux-any (LP: #1563036)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2016 12:05:24 +1300

lightdm (1.18.0-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Small documentation fixes
  * debian/guest-account.sh:
    - More forcibly remove guest sessions so they don't remain after logout
      (LP: #1556516)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Mar 2016 15:09:54 +1300

lightdm (1.17.6-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't write $DISPLAY into tty line in utmp/btmp. (LP: #1380364)
  * debian/guest-account.sh:
  * debian/guest-session.profile:
  * debian/rules:
    - Don't overwrite .profile file from skeleton session, append it instead

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Mar 2016 15:47:08 +1300

lightdm (1.17.5-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - Fix liblightdm-qt5-3-dev to depend on qtbase5-dev, not libqt4-dev

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 Feb 2016 13:45:53 -0500

lightdm (1.17.5-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Set XDG_RUNTIME_DIR for ConsoleKit sessions. This is a recent change in
      ConsoleKit2.
  * debian/lightdm.postrm:
    - Don't remove the lightdm user home directory on purge since we no longer
      remove the user account. (LP: #1540933)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 03 Feb 2016 12:55:04 +1300

lightdm (1.17.4-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Add support for g_autoptr and liblightdm-gobject
    - Fix dm-tool add-local-seat not working because LightDM is trying to
      connect with TCP/IP (LP: #1529454)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 25 Jan 2016 17:13:18 +1300

lightdm (1.17.3-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't enable the hardware cursor in Unity System Compositor anymore.
      Unity 8 now correctly provides its own cursor and other shells should too
      (LP: #1517615)
  * debian/guest-session.profile:
    - Fix guest session dialog sleep (LP: #1526004)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Dec 2015 13:12:24 +1300

lightdm (1.17.2-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Handle XDMCP Request packet with no addresses. (LP: #1516831)
    - Don't start LightDM if the XDMCP server is configured with a key that
      doesn't exist. (LP: #1517685)
    - Add IP addresses to XDMCP log messages.
    - Refactor XDMCP error handling.
    - Add more XDMCP tests.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 20 Nov 2015 15:34:08 +1300

lightdm (1.17.1-0ubuntu2) xenial; urgency=medium

  * debian/guest-session-setup.sh:
    - don't error out if there is no prefs.sh configuration,
      should fix the guest session not starting in xenial (lp: #1515704)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Nov 2015 11:52:06 +0100

lightdm (1.17.1-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Add a backup-logs option that can be used to disable existing logging
      files having a .old suffix added to them.
    - Add LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE, LC_MEASUREMENT and
      LC_IDENTIFICATION variables to the list of inherited locale variables.
      (LP: #1511259)
    - Implement XDMCP ForwardQuery. (LP: #1511545)
    - Fix small memory leak in XDMCP logging code. 

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 03 Nov 2015 16:28:54 +1300

lightdm (1.17.0-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Disable log backups - this interferes with logrotate.
    - Support using libaudit to generate audit events.
    - Handle trailing whitespace on boolean values in configuration.
    - Update example configuration to more correctly match allowed options.
    - Fix unnecessary X server from being launched when locking seats.
    - Check the version of the X server we are running so we correctly pass
      -listen tcp when required.
    - Allow reading /proc/<PID>/net/dev from within a guest session.
      (LP: #1442609)
    - Allow guest sessions to write in /{,var/}run/screen folder.
      (LP: #1442611)
    - Update guest-session AppArmor profile to be suitable for openSUSE.
    - Fix apparmor profiles for running Chromium in guest sessions.
      (LP: #1504049, LP: #1464958)
    - Fix configure failing without Vala installed.
  * Build with multi-arch
  * debian/lightdm.logrotate:
    - Use logrotate to handle log files placed in the default system log
      directory (/var/log/lightdm).
  * debian/guest*:
    - Optimize guest account creation, use OverlayFS of AuFS if available.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Oct 2015 15:02:46 +1300
