=== debian/watch ===
version=3
https://launchpad.net/lightdm/+download .*/lightdm-([0-9.]+)\.tar\.xz
