## lightdm 1.18.3

=== debian/changelog ===
lightdm (1.18.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - 07-Remove-unused-unititialized-file-descriptors-could-c dropped,
      included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 19 Dec 2016 10:54:11 +0100

lightdm (1.18.2-4) unstable; urgency=medium

  * Update debian/liblightdm-qt-3-0.symbols, many thanks Hilko Bengen:
    - use demangled symbols
    - add symbols only present on !x86 architectures.           closes: #842675
  * debian/control:
    - add dependency on lsb-base.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Dec 2016 17:04:16 +0100

lightdm (1.18.2-3) unstable; urgency=medium

  * debian/control:
    - add Suggests on xserver-xephyr.                           closes: #831298
  * debian/patches:
    - 08_reset-SIGPIPE-before-exec added, ignore SIGPIPE during LightDM life
      but reset it before exec()ing children.                   closes: #823460

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 19 Oct 2016 20:56:07 +0200

lightdm (1.18.2-2) unstable; urgency=high

  * Urgency=high for the RC bug fix.
  * debian/patches
    - 05_debianize-pam-files added, disable autologin by default for root user
      (as with GDM3).
    - 07-Remove-unused-unititialized-file-descriptors-could-c added,
      cherry-picked from upstream. Avoid closing stdin which triggers a bug in
      dbus preventing dbus-daemon to start.                     closes: #829557
  * debian/01_debian.conf:
    - update section name from SeatDefaults to Seat:*.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 11 Jul 2016 13:25:07 +0200

lightdm (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    - update standards version to 3.9.8.
    - run wrap-and-sort 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 28 Jun 2016 21:43:15 +0200
