=== debian/control ===
Source: lightdm
Section: x11
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Emanuele Rocca <ema@debian.org>,
           Simon Huggins <huggie@earth.li>
Build-Depends: debhelper (>= 9),
               dh-systemd (>= 1.14),
               dpkg-dev (>= 1.16.1),
               gnome-doc-utils,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               itstool,
               libaudit-dev [linux-any],
               libck-connector-dev,
               libdbus-glib-1-dev,
               libgcrypt11-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libpam-dev,
               libqt4-dev,
               libxcb1-dev,
               libxdmcp-dev,
               libxklavier-dev,
               lsb-base (>= 3.0-6),
               pkg-config,
               valac
Standards-Version: 3.9.8
Homepage: https://launchpad.net/lightdm
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/lightdm
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/lightdm

Package: lightdm
Section: x11
Architecture: any
Depends: adduser,
         dbus,
         libpam-systemd [linux-any] | consolekit,
         lightdm-gtk-greeter | lightdm-greeter,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xserver-xorg
Suggests: accountsservice, upower, xserver-xephyr
Provides: x-display-manager
Description: simple display manager
 An X display manager that:
  * Has a lightweight codebase
  * Is standards compliant (PAM, ConsoleKit, etc)
  * Has a well defined interface between the server and user interface
  * Fully themeable
  * Cross-desktop (greeters can be written in any toolkit)
 .
 Additional software can be useful along with LightDM:
  * xserver-xephyr can be used to add a nested X display by calling
   'dm-tool add-nested-seat`
  * upower can be used to suspend the computer from the display manager
  * accountsservice is used to populate a user list with addition information.

Package: lightdm-vala
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple display manager (Vala files)
 This package contains the Vala files for the lightdm display manager

Package: liblightdm-gobject-1-0
Section: libdevel
Architecture: any
Pre-depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple display manager (gobject library)
 This package contains the gobject library for lightdm, used by the GTK+
 greeter.

Package: liblightdm-qt-3-0
Section: libdevel
Architecture: any
Pre-depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple display manager (Qt library)
 This package contains the Qt library for lightdm.

Package: liblightdm-gobject-dev
Section: libdevel
Architecture: any
Depends: libdbus-glib-1-dev,
         liblightdm-gobject-1-0 (= ${binary:Version}),
         libxklavier-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: simple display manager (gobject development files)
 This package contains the development files for lightdm.
 They can be used to build new greeters applications GTK+ based.

Package: liblightdm-qt-dev
Section: libdevel
Architecture: any
Depends: liblightdm-qt-3-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: simple display manager (Qt development files)
 This package contains the development files for lightdm.
 They can be used to build new greeters applications Qt based.

Package: gir1.2-lightdm-1
Section: libs
Architecture: any
Depends: liblightdm-gobject-1-0 (= ${binary:Version}), ${misc:Depends}
Description: Typelib file for liblightdm-1
 liblightdm provides a library for building LightDM greeters and applications.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for liblightdm.
