=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/lightdm/1.18 \
https://launchpad.net/lightdm/.*/lightdm-(\d\.\d+\.\d+)\.tar\.(?:gz|bz2|xz)
