## lightdm 1.18.3-0ubuntu1.1+8.0trisquel1

=== debian/changelog ===
lightdm (1.18.3-0ubuntu1.1+8.0trisquel1) flidas-security; urgency=medium

  * Trisquel themed

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 05 Apr 2017 12:47:48 +0000

lightdm (1.18.3-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Directory traversal allowing arbitrary directory
    ownership and privilege escalation (LP: #1677924)
    - debian/guest-account.sh: Detect existing malicious guest user home dirs
      before proceeding with guest user creation
    - CVE-2017-7358

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 31 Mar 2017 16:04:04 +0000

lightdm (1.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Fix error that caused stdin to be closed. This seems to have lots of bad
      side effects (greeter not working correctly, multi-seat failing).
    - Add support for greeters running inside sessions. This is enabled by
      setting X-LightDM-Allow-Greeter inside the session .desktop file.
      The session can then use liblightdm to connect one greeter to the
      daemon. The communication is done using a socket
      (/var/run/lightdm/<user>/greeter-socket) that is accessible to any
      process run by that user. Consider controlling access to this socket
      using a MAC system such as AppArmor. (LP: #1582242)
    - Fix various memory management issues exposed by the use of in-session
      greeters.
  * debian/patches/lp1605117.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 Aug 2016 11:37:43 +1200

lightdm (1.18.2-0ubuntu2) xenial; urgency=medium

  * debian/patches/lp1605117.patch:
    - Fix stdin being accidentally closed, causing indicators not to show in
      unity-greeter (LP: #1605117)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 29 Jul 2016 15:18:41 +1200

lightdm (1.18.2-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't quit on SIGUSR1, SIGUSR2 or SIGHUP (LP: #960157)
    - Use MIR_SERVER_HOST_SOCKET instead of MIR_SOCKET to report compositor
      socket to sessions. This used to work but no longer works in Mir 0.21
      (LP: #1583624)
    - Use only a single compositor on xlocal seats (LP: #1594229)
    - Fix Mir greeter log filename having "(null)" in the name (LP: #1590582)
    - Set XDMCP hostname field in to system hostname or configured value
      (LP: #1578442)
    - Improve XDMCP IPv6 address selection (LP: #1575200)
    - Allow fcitx and mozc to run in guest session (LP: #1509829)
    - Fix uninitialized memory errors
  * debian/lightdm.dirs:
    - Ensure user configuration directories /etc/lightdm/lightdm.conf.d and
      /etc/guest-session exist
  * debian/guest-account.sh:
  * debian/guest-session-setup.sh:
    - Source prefs.sh as privileged user to allow user modification
      (LP: #1581853)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Jun 2016 12:49:01 +1200
