## lightdm 1.19.5-0ubuntu1

=== debian/changelog ===
lightdm (1.19.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix errors in documentation generation
    - Improve documentation
    - Fix guest AppArmor profile to allow guest sessions more access to the
      upstart session socket (LP: #1627304)
    - Fix small memory leak in liblightdm-gobject keyboard layout code
  * debian/control:
    - Drop duplicate dependency on gobject-introspection
    - Alphabetically order dependencies
  * debian/guest-session-auto.sh:
    - Don't show guest session dialog in MATE (LP: #1627395)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 30 Sep 2016 14:56:00 +1300

lightdm (1.19.4-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix various issues in new in-session greeter code
    - Fix user list memory management exposed by use of in-session greeters
    - Fix some spurious warnings in the log

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 Aug 2016 11:07:57 +1200

lightdm (1.19.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix in-session greeters not working for greeter logins
  * debian/control:
    - Use standards version 3.9.8

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 12 Jul 2016 10:10:41 +1200

lightdm (1.19.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    * Add support for greeters running inside sessions. This is enabled by
      setting X-LightDM-Allow-Greeter inside the session .desktop file.
      The session can then use liblightdm to connect one greeter to the
      daemon. The communication is done using a socket
      (/var/run/lightdm/<user>/greeter-socket) that is accessible to any
      process run by that user. Consider controlling access to this socket
      using a MAC system such as AppArmor. (LP: #1582242)
    * Report errors for all liblightdm methods. This will require existing
      greeters to update their API usage. The ABI is unchanged.
    * Handle EAGAIN correctly when daemons communicate with the daemon.
    * Drop support for mir-container sessions - no-one ever used these.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jun 2016 15:29:17 +1200

lightdm (1.19.1-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
  * debian/lightdm.dirs:
    - Rename "xlocal" seat type to "local". Using "xlocal" will continue to work
      but report a warning.
    - Ensure user configuration directories /etc/lightdm/lightdm.conf.d and
      /etc/guest-session exist
    - Use MIR_SERVER_HOST_SOCKET instead of MIR_SOCKET to report compositor
      socket to sessions. This used to work but no longer works in Mir 0.21
      (LP: #1583624)
    - Allow XMir to run on the xlocal seat using the new x-server-backend=mir
      option
    - Use only a single compositor on local seats (LP: #1594229)
    - Fix Mir greeter log filename having "(null)" in the name (LP: #1590582)
    - Copy fcitx/mozc rules so session works when these aren't installed
      (LP #1581187)
    - Revert lxsession change - it caused the AppArmor to fail to compile
  * debian/rules:
    - Revert dh_installinit change - we don't want to start LightDM on install
      (LP: #1581106)
  * debian/guest-account.sh:
  * debian/guest-session-setup.sh:
    - Source prefs.sh as privileged user to allow user modification
      (LP: #1581853)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Jun 2016 16:18:36 +1200

lightdm (1.19.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use /dev/tty0 instead of /dev/console for VT operations (LP: #1566073)
    - Don't quit on SIGUSR1, SIGUSR2 or SIGHUP (LP: #960157)
    - Improve XDMCP IPv6 address selection (LP: #1575200)
    - Set XDMCP hostname field in to system hostname or configured value
      (LP: #1578442)
    - Allow fcitx and mozc to run in guest session (LP: #1509829)
    - Fix lxsession running in guest session
    - Drop support for legacy XMir
    - Fix g_spawn compiler warning
  * debian/rules:
    - Fix usage of dh_installinit (LP: #1292990)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 May 2016 12:23:45 +1200
