## lightdm 1.21.3-0ubuntu1

=== debian/changelog ===
lightdm (1.21.3-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix crashes introduced in 1.21.2 due to environment variable changes
    - Fix incorrect unref in XDMCP server code
    - Fix logging warning 

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Dec 2016 14:04:49 +1300

lightdm (1.21.2-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Use SA_RESTART on signals so we don't get interrupted reads (LP: #1648637)
    - Use logind to terminate greeter sessions if it is available
    - Load greeters from XDG_DATA_DIRS instead of compile time value
    - Allow D-Bus interface to be disabled
    - Always pass through LD_PRELOAD, LD_LIBRARY_PATH and PATH to
      sessions/display servers
  * debian/patches/terminate-session.patch:
    - Merged upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Dec 2016 10:51:07 +1300

lightdm (1.21.1-0ubuntu2) zesty; urgency=medium

  Restore patch from 1.20.0-0ubuntu3:
  * Add debian/patches/terminate-session.patch: Terminate leftover processes
    in greeter session. It can happen that the greeter session does not
    properly clean up itself on logout. This causes leaked processes like
    settings-daemon which act on the user session as they share the same
    $DISPLAY. Ask logind to terminate remaining processes in the greeter
    session on closing, which is more robust than trying to fix every greeter.
    (LP: #1637758)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Nov 2016 09:43:39 +0100

lightdm (1.21.1-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix greeters crashing with unknown configuration keys (regression from
      1.21.0) (LP: #1643276)
    - Add an API verison to the greeter-daemon protocol for future enhancements
    - More regression tests

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Nov 2016 09:47:00 +1300

lightdm (1.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Add liblightdm functions for getting OS release information and the
      message of the day.
    - Warn if we find unknown keys in configuration.
    - Fix .profile errors not showing in .xsession-errors log. (LP: #1639533)
    - Remove duplicate Qt property in liblightdm.
    - Fix and improve liblightdm API documentation.
    - Minor GIR annotation fixes.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 Nov 2016 11:40:20 +1300

lightdm (1.20.0-0ubuntu2) zesty; urgency=medium

  * debian/lightdm-greeter-session: Don't launch another session D-Bus if one
    is already running (usually from dbus-user-session).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2016 21:35:30 +0200

lightdm (1.20.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use stable version number (no other changes)

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 15 Oct 2016 18:14:22 +1300
