## lightdm 1.22.0-0ubuntu2

=== debian/changelog ===
lightdm (1.22.0-0ubuntu2) zesty; urgency=medium

  * SECURITY UPDATE: Directory traversal allowing arbitrary directory
    ownership and privilege escalation (LP: #1677924)
    - debian/guest-account.sh: Detect existing malicious guest user home dirs
      before proceeding with guest user creation
    - CVE-2017-7358

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Apr 2017 10:34:32 +1200

lightdm (1.22.0-0ubuntu1) zesty; urgency=medium

  * Allow guest sessions to talk to Mir (allowing unity8)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Mar 2017 09:46:38 +1300

lightdm (1.21.5-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix logic that checked if a session was being stopped.
      This fixes a race condition that could cause logging into an existing
      session from a greeter to not return to that session. (LP: #1656399)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Feb 2017 12:38:50 +1300

lightdm (1.21.4-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Use power management functions from ConsoleKit2 if available.
    - Correctly pass return value from sessions to LightDM.
    - Retry VT_WAITACTIVE if we get EINTR.
    - Ignore SIGHUP by default.
    - Use SA_RESTART with SIGPIPE.
    - liblightdm-qt: Use liblightdm-gobject power methods instead of
      re-implementing in Qt.
  * debian/liblightdm-qt-3-0.symbols:
  * debian/liblightdm-qt5-3-0.symbols:
    - Add symbols files for C++ libraries

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 13 Feb 2017 16:31:48 +1300
