## lightdm 1.22.0-0ubuntu6

=== debian/changelog ===
lightdm (1.22.0-0ubuntu6) artful; urgency=medium

  * debian/lightdm.config: When upgrading to this version, don't show the DM
    selection prompt. We're trying to suppress the prompt and switch Ubuntu
    desktop users to gdm3 smoothly, but lightdm's prompt is showing up as gdm3
    is on the system when lightdm.config is executed. This means that if there
    is a situation when upgraders to this version *should* be shown the
    prompt, they won't be. If that is the case, we'll need to think again
    about how to implement this.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 18 Jul 2017 10:21:45 +0100

lightdm (1.22.0-0ubuntu5) artful; urgency=medium

  * Change back the default session to 'ubuntu', as it now corresponds to
    GNOME Shell one with our ubuntu changes.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Jun 2017 12:14:37 +0200

lightdm (1.22.0-0ubuntu4) artful; urgency=medium

  * SECURITY UPDATE: Guest session not confined (LP: #1663157)
    - debian/50-disable-guest.conf:
    - debian/lightdm.install:
      - Disable guest sessions by default, this can be overridden by custom
        configuration (e.g. /etc/lightdm/lightdm.conf)
    - CVE-2017-8900    

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 19 Jun 2017 16:32:24 +1200

lightdm (1.22.0-0ubuntu3) artful; urgency=medium

  * Change the default session to `gnome' (Shell).

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jun 2017 18:40:05 +0100
