=== debian/tests/control ===
#Tests: upstream-tests
#Depends: @, python-gi, xauth
#Restrictions: build-needed needs-root
