=== debian/watch ===
version=3
https://github.com/CanonicalLtd/lightdm/releases .*/lightdm-([0-9.]+)\.tar\.xz
