## lightdm 1.25.2

=== debian/changelog ===
lightdm (1.25.2-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Fix incorrect use of ConsoleKit CanSuspend/Hibernate API
    - Correctly install AccountsService interface file
    - Fix build system to require C99
    - Use standard format for arguments passed to qtchooser
  * debian/lightdm.install:
    - Install AccountsService D-Bus extension files

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Feb 2018 16:33:14 +1300
